Bug 798114 - Project maintainer list is blank on repeat navigation
Project maintainer list is blank on repeat navigation
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: WebSite (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Carlos Munoz
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-27 23:46 EST by David Mason
Modified: 2012-03-06 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:07:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-27 23:46:35 EST
Description of problem:
After viewing "Manage Maintainers" list once, viewing again after browser back shows a table with empty cells.

Version-Release number of selected component (if applicable):


How reproducible:
Always in Chrome and Firefox

Steps to Reproduce:
1.Sign in as admin or a project maintainer
2.Navigate to a project for which signed in user can manage maintainers
3.Click "Manage Maintainers"
4.Use browser back to return to project page
5.Click "Manage Maintainers" again
  
Actual results:
Table shows maintainers the first time, and shows the same number of rows and columns the second time but with all cells except "Remove" action empty.

Expected results:
Maintainers shown in table regardless of navigation.

Additional info:
Comment 1 Alex Eng 2012-02-28 18:23:29 EST
Problem fixed by disabling hibernate cache which causing the issue. See https://github.com/zanata/zanata/commit/533752aef04893e49a42e53ebb6fec30d9b978b1
Comment 3 Carlos Munoz 2012-02-28 18:41:11 EST
Verified with Zanata version 1.5.0-alpha-3-SNAPSHOT (20120229-0923) on both Chrome and Firefox.

Note You need to log in before you can comment on or make changes to this bug.